- Qt 5.5
- Qt3D Module
- C++ Classes
- QMatrixTransform
- Qt 5.5.1 Reference Documentation

# QMatrixTransform Class

(Qt3D::QMatrixTransform)

Instantiated By: | MatrixTransform
Inherits: | Qt3D::QAbstractTransform

- List of all members, including inherited members

## Properties

- matrix : QMatrix4x4

- 1 property inherited from Qt3D::QAbstractTransform

## Public Functions

| QMatrixTransform(QObject * parent = Q_NULLPTR)
| QMatrixTransform(const QMatrix4x4 & m, QObject * parent = Q_NULLPTR)
QMatrix4x4 | matrix() const
void | setMatrix(const QMatrix4x4 & matrix)

## Reimplemented Public Functions

virtual QMatrix4x4 | transformMatrix() const

- 1 public function inherited from Qt3D::QAbstractTransform

## Signals

void | matrixChanged()

- 1 signal inherited from Qt3D::QAbstractTransform

## Protected Functions

| QMatrixTransform(QMatrixTransformPrivate & dd, QObject * parent = Q_NULLPTR)

## Property Documentation

### matrix : QMatrix4x4

Access functions:

QMatrix4x4 | matrix() const
void | setMatrix(const QMatrix4x4 & matrix)

Notifier signal:

void | matrixChanged()

## Member Function Documentation

### QMatrixTransform::QMatrixTransform(QObject * parent = Q_NULLPTR)

### QMatrixTransform::QMatrixTransform(const QMatrix4x4 & m, QObject * parent = Q_NULLPTR)

### `[protected]` QMatrixTransform::QMatrixTransform(QMatrixTransformPrivate & dd, QObject * parent = Q_NULLPTR)

### `[virtual]` QMatrix4x4 QMatrixTransform::transformMatrix() const